# Get company travel content config

Endpoint: GET /v2/companies/{companyId}/travel-content-config
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Path parameters:

  - `companyId` (string, required)
    Identifier for company.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `airConfig` (object)
    Air content config

  - `airConfig.fareCategoryFilter` (array)
    List of fare category filter

  - `airConfig.fareCategoryFilter.priority` (integer, required)
    priority of this filter in case multiple filters are applicable
    Example: 1

  - `airConfig.fareCategoryFilter.origin` (object, required)
    Object representing a single location object.

  - `airConfig.fareCategoryFilter.origin.value` (string, required)
    User facing display value.

  - `airConfig.fareCategoryFilter.origin.metadata` (object, required)
    Metadata of the location object.

  - `airConfig.fareCategoryFilter.origin.metadata.type` (string, required)
    Type of the location object.
    Enum: "CONTINENT", "COUNTRY", "CITY", "AIRPORT", "ADMINISTRATIVE_DIVISION"

  - `airConfig.fareCategoryFilter.origin.metadata.code` (string, required)
    Unique code to represent the object.

  - `airConfig.fareCategoryFilter.origin.infos` (array, required)
    This represent other information for the @value.
E.g. - This will have continent details if value is any country,
similarly country details for city.

  - `airConfig.fareCategoryFilter.fareCategoryOption` (array, required)

  - `airConfig.fareCategoryFilter.fareCategoryOption.fareCategory` (object, required)

  - `airConfig.fareCategoryFilter.fareCategoryOption.fareCategory.ngsCategory` (string)
    Enum: "UNKNOWN_NGS_CATEGORY", "BASE", "STANDARD", "ENHANCED", "PREMIUM", "LUXURY", "ULTRA_LUXURY"

  - `airConfig.fareCategoryFilter.fareCategoryOption.fareCategory.cabinViewCategory` (string)
    Enum: "UNKNOWN_CABIN_CATEGORY", "BASIC", "ECONOMY", "PREMIUM_ECONOMY", "ECONOMY_PLUS", "BUSINESS", "FIRST"

  - `airConfig.fareCategoryFilter.fareCategoryOption.disabled` (boolean, required)
    true if a fare category is disabled
    Example: true

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 404:

  - `404` (unknown)
    The specified resource was not found.

## Response 404 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

